#ifndef ANIMATION_H
#define ANIMATION_H

#include <QFile>
#include <QString>
#include <vector>
#include "mxframe.h"
#include "spiframe.h"
#include <tuple>

class Animation
{
private:
    std::vector<MxFrame> frames;
    uint32_t frameId = 0;
public:
    Animation();
    void openFile(const QString filepath);
    MxFrame nextFrame();
    bool eof();
};

#endif // ANIMATION_H
