#ifndef SPISENDER_H
#define SPISENDER_H

#include "spiframe.h"

class SpiSender
{
private:
    const int readyPin = 6; // WiringPi PIN. (22 on header)
    const int resetPin = 5; // WiringPi PIN. (18 on header)
    const int SPI_SPEED = 1000000;
    const int SPI_CHANNEL = 0;
    int fd = 0;
    bool firstFrame = true;

public:
    SpiSender();
    ~SpiSender();
    bool sendFrame(const SpiFrame& frame) const;
    bool canSend() const;
};

#endif // SPISENDER_H
